Subject: Re: [PATCH] powerpc: Disable external interrupts in bootwrapper

From: Geoff Levand <[email-masked]>
Date: Tue, 27 Mar 2007 18:05:11 -0700

Mark A. Greer wrote:
> Disable external interrupts very early in the bootwrapper in case
> the firmware left a device generating interrupts.

This is just a guess at what is happening, but I think the OF on my
G5 uses the timer interrupt as a kind of watchdog timer, so that if
the loaded code hangs, OF will regain control.  If you disable
interrupts, you may loose this functionality.

-Geoff